## Add an entry to a value list (desk:admin)

`POST /api/desk/v1/enums/{kind}`

Module: Desk · operationId: `createEnumValue` · Tag: Configuration · Auth: access token (`Authorization: Bearer <accessToken>`)

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `kind` | path | string | yes | (one of `linkType`, `source`, `assigneeRole`, `callbackStatus`, `callbackReason`) |

### Request body

`application/json` (required)

- `key` (string, required): Key of the entry, unique in its list
- `label` (string, required): Display label
- `archived` (boolean): Archived: kept for existing data, no longer offered
- `color` (string): Display color
- `description` (string): Description of the entry
- `flags` (array of string): Flags of the entry (e.g. default)
- `props` (object): linkType: inverseLabel
- `sortOrder` (integer): Position in lists (ascending)
- `system` (boolean, read-only): Built-in entry desk relies on

Example:

```json
{
  "description": "Ein Teil der Störung besteht weiter",
  "key": "teilweise_behoben",
  "label": "Teilweise behoben",
  "sortOrder": 5
}
```

### Responses

- **201** Created (`application/json`)

Fields of the 201 answer:

- `key` (string, required): Key of the entry, unique in its list
- `label` (string, required): Display label
- `archived` (boolean): Archived: kept for existing data, no longer offered
- `color` (string): Display color
- `description` (string): Description of the entry
- `flags` (array of string): Flags of the entry (e.g. default)
- `props` (object): linkType: inverseLabel
- `sortOrder` (integer): Position in lists (ascending)
- `system` (boolean, read-only): Built-in entry desk relies on

Example 201 answer:

```json
{
  "archived": false,
  "description": "Dieses Ticket wurde durch das verknüpfte verursacht",
  "flags": [],
  "key": "caused_by",
  "label": "Verursacht durch",
  "props": {
    "inverse": "Verursacht"
  },
  "sortOrder": 4,
  "system": true
}
```

### Example request

```bash
curl -X POST 'https://api.mbcom.cloud/api/desk/v1/enums/linkType' \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H 'Content-Type: application/json' \
  --data '{"description":"Ein Teil der Störung besteht weiter","key":"teilweise_behoben","label":"Teilweise behoben","sortOrder":5}'
```
